from enum import Flag


class LockingState(Flag):
    """
    Locking state fetched the 07/07/2025 from: https://scientists.virgo-gw.eu/PythonDoc/html/doc/Automation/userapps/doc/MoreInfo//inspectMetatronNodes.log
    (module ITF_LOCK.py)
    """

    INIT = 0
    DOWN = 1
    ABSORPTION_MEAS_COOLDOWN = 3
    ABSORPTION_MEAS_WARMUP = 4
    ABSORPTION_MEAS_DONE = 5
    SETTING_SINGLE_BOUNCE_NI = 9
    SINGLE_BOUNCE_NI = 10
    SETTING_SINGLE_BOUNCE_WI = 11
    SINGLE_BOUNCE_WI = 12
    LOCKING_PRWI = 13
    LOCKED_PRWI = 14
    LOCKING_SRNI = 15
    LOCKED_SRNI = 16
    ACQUIRE_SHORT_MICH = 18
    LOCKING_SHORT_MICH_DF = 19
    LOCKED_SHORT_MICH_DF = 20
    LOCKING_MICH_HF_DC = 21
    LOCKED_MICH_HF_DC = 22
    LOCKING_PRMI = 23
    LOCKED_PRMI = 24
    MISALIGNING_END_MIRRORS = 26
    MISALIGNED_END_MIRRORS = 27
    ALIGNING_DRMI_NO_ARMS = 28
    ALIGNED_DRMI_NO_ARMS = 29
    ACQUIRE_DRMI_NO_ARMS = 30
    LOCKING_DRMI_1F_NO_ARMS = 31
    LOCKED_DRMI_1F_NO_ARMS = 32
    FMODERR_TUNED = 38
    LOCKING_ARMS_IR = 39
    LOCKED_ARMS_IR = 40
    SCAN_ARMS_ALS = 43
    LOCKING_ARMS_IR_ALS = 44
    LOCKED_ARMS_IR_ALS = 45
    LOCKING_ARMS_BEATING = 49
    LOCKED_ARMS_BEATING = 50
    SETTING_CARM_OFFSET_HIGH = 54
    LOCKED_CARM_OFFSET_HIGH = 55
    ALIGNING_DRMI = 56
    ALIGNED_DRMI = 57
    ACQUIRE_DRMI = 58
    LOCKING_ARMS_BEAT_DRMI_1F = 59
    LOCKED_ARMS_BEAT_DRMI_1F = 60
    LOCKING_ARMS_BEAT_DRMI_3F = 64
    LOCKED_ARMS_BEAT_DRMI_3F = 65
    SETTING_CARM_OFFSET_MID = 69
    LOCKED_CARM_OFFSET_MID = 70
    LOCKING_CARM_MC_IR = 74
    LOCKED_CARM_MC_IR = 75
    LOCKING_DARM_IR = 79
    LOCKED_DARM_IR = 80
    REDUCING_CARM_OFFSET_1_OF_3 = 84
    CARM_OFFSET_STEP_1_OF_3 = 85
    REDUCING_CARM_OFFSET_2_OF_3 = 89
    CARM_OFFSET_STEP_2_OF_3 = 90
    REDUCING_CARM_OFFSET_3_OF_3 = 94
    CARM_OFFSET_STEP_3_OF_3 = 95
    ACQUIRE_CARM_NULL_3F = 98
    LOCKING_CARM_NULL_3F = 99
    CARM_NULL_3F = 100
    LOCKING_CARM_NULL_1F = 104
    CARM_NULL_1F = 105
    ABSORPTION_MEAS_INIT = 106
    SHUTTER_CLOSING = 108
    SHUTTER_OPENING = 109
    SHUTTER_OPEN = 110
    CARM_NULL_SCAN_OFF = 112
    CARM_NULL_SCAN_ON = 113
    LOCKING_OMC_DARM_B1_PD3 = 114
    LOCKED_OMC_DARM_B1_PD3 = 115
    LOCKING_DC_READOUT = 119
    LOCKED_DC_READOUT = 120
    ACQUIRE_LOW_NOISE_1 = 124
    LOW_NOISE_1 = 125
    ACQUIRE_LOW_NOISE_2 = 129
    LOW_NOISE_2 = 130
    ACQUIRE_LOW_NOISE_3 = 134
    LOW_NOISE_3 = 135
    DISENGAGING_SQZ = 136
    CHECKING_SQZ = 137
    ENGAGING_SQZ = 139
    LOW_NOISE_3_SQZ = 140
    COMPENSATION_MEAS_COOLDOWN = 235
    COMPENSATION_MEAS_READY = 236
    COMPENSATION_MEAS_RUN = 239
    COMPENSATION_MEAS_DONE = 240
    CENTERING_MEAS_CH_ON = 241
    CENTERING_MEAS_CH_DONE = 242
    CENTERING_MEAS_RELOCKING = 244
    CENTERING_MEAS_RELOCKED = 245
    CENTERING_MEAS_DAS_ON = 248
    CENTERING_MEAS_DONE = 250
